// Displays the webtabset selected full path
function CustomDisplayFullPath(controlId, fullPathId)
{
    var defaultPath = "/";
    var notSelected = "Not selected";
    var selections = [];
    var currentPath = cwtsGetFullPath(controlId);
    if (currentPath != null && currentPath != defaultPath)
    {
        var keyPath = cwtsExtractKeys(currentPath);
        selections = keyPath.split("/");
    }

    var contents = "";
    contents += "Store = ";
    contents += selections.length > 1 ? selections[1] : notSelected;
    contents += "<br />";
    contents += "Department = ";
    contents += selections.length > 2 ? selections[2] : notSelected;
    contents += "<br />";
    contents += "Product = ";
    contents += selections.length > 3 ? selections[3] : notSelected;
    contents += "<br />";

    var fullPath = document.getElementById(fullPathId);
    fullPath.innerHTML = contents;
}
