﻿// The webtabset control settings
var WebTabSetSettings =
{
    EnableOutline: true,
    ExpandedBackColor: "#707070",
    ExpandedForeColor: "White",
    Font:
    {
        Names: "Arial,helvetica,sans-serif",
        Size: "12px"
    },
    FullPath: "\/Coalesys",
    LoadingText: "please wait",
    SelectedBackColor: "#505050",
    SelectedForeColor: "White",
    UnselectedBackColor: "#1293B7",
    UnselectedForeColor: "White"
};

// The webtabset control item data
var WebTabSetData =
{
    Items: [{
        Item: "Coalesys",
        Items: [{
            Item: "Navigation-UI",
            Items: [{
                Item: "PanelBar",
                Items: ["ASP","ASP.NET","JSP","Studio"]
            },{
                Item: "WebMenu",
                Items: ["ASP","ASP.NET","JSP","Studio"]
            }]
        },{
            Item: "WebDrillDown",
            Items: ["ASP.NET","JSP","Studio"]
        },{
            Item: "WebObjectTree",
            Items: ["ASP.NET","JSP","Studio"]
        },{
            Item: "WebPropertyGrid",
            Items: ["ASP.NET"]
        },{
            Item: "WebTabSet",
            Items: ["ASP.NET","JSP","Studio"]
        }]
    }]
};

// Initializes the specified webtabset control
function WebTabSetInitialize(controlId)
{
    cwtsInitializeControl(controlId, WebTabSetSettings, WebTabSetData);
}
