var targetId = "WebTabSet1";

var ourProducts =
{
    "/": { Items: ["Coalesys"], Children: true },
    "/Coalesys": { Items: ["WebDrillDown", "WebMenu", "WebObjectTree", "WebPropertyGrid", "WebTabSet"], Children: true },
    "/Coalesys/WebDrillDown": { Items: ["ASP.NET", "ASP.NET MVC", "JSP", "PHP", "Studio"] },
    "/Coalesys/WebMenu": { Items: ["ASP", "ASP.NET", "ASP.NET MVC", "JSP", "PHP", "Studio"] },
    "/Coalesys/WebObjectTree": { Items: ["ASP.NET", "ASP.NET MVC", "JSP", "PHP", "Studio"] },
    "/Coalesys/WebPropertyGrid": { Items: ["ASP.NET", "ASP.NET MVC"] },
    "/Coalesys/WebTabSet": { Items: ["ASP.NET", "ASP.NET MVC", "JSP", "PHP", "Studio"] }
};

// Retrieves data requested by the webtabset control
function cwtsOnBeginRequest(controlId, requestPath)
{
    if (controlId == targetId)
    {
        // simulate loading delay
        setTimeout(function ()
        {
            var responseData = ourProducts[requestPath];
            cwtsProcessResponse(controlId, responseData);
        },
        250);
    }

    return null;
}
