var targetId = "WebTabSet1";

// Display the specified message
function DisplayMessage(messageText)
{
    var span1 = document.getElementById("Span1");
    if (span1 != null)
    {
        span1.innerHTML = messageText;
    }
}

// Displays a message when data retrieval begins
function cwtsOnDataRetrievalBegin(controlId)
{
    if (controlId == targetId)
    {
        DisplayMessage("Loading...");
    }
}

// Handles the data retrieval errors
function cwtsOnDataRetrievalError(controlId, statusCode, statusText)
{
    if (controlId == targetId)
    {
        var errorMessage = "Failed to retrieve items:\n";
        errorMessage = errorMessage + statusText + " (" + statusCode + ")";
        alert(errorMessage);
    }
}

// Displays a message when data retrieval ends
function cwtsOnDataRetrievalEnd(controlId)
{
    if (controlId == targetId)
    {
        DisplayMessage("Ready");
    }
}
