// Displays the webtabset selected full path
function DisplayFullPath(controlId, fullPathId)
{
    var fullPath = document.getElementById(fullPathId);
    var path = cwtsGetFullPath(controlId);
    if (path == "/")
    {
        path = "No path selected.";
    }
    fullPath.innerHTML = path;
}

// Initializes the controls on the sample page
function InitializePage(controlId, fullPathId, aboutInfoId)
{
    if (typeof CustomWebTabSetInitialize == "function")
    {
        CustomWebTabSetInitialize(controlId);
    }
    else
    {
        WebTabSetInitialize(controlId);
    }

    cwtsSetFocus(controlId);

    if (typeof CustomDisplayFullPath == "function")
    {
        CustomDisplayFullPath(controlId, fullPathId);
    }
    else
    {
        DisplayFullPath(controlId, fullPathId);
    }

    var aboutInfo = document.getElementById(aboutInfoId);
    aboutInfo.innerHTML = cwtsAbout.replace(/\r\n/g, "<br />");
}
