﻿// The webtabset control settings
var WebTabSet1Settings =
{
    EnableOutline: true,
    ExpandedBackColor: "#707070",
    ExpandedForeColor: "White",
    Font:
    {
        Names: "Arial,helvetica,sans-serif",
        Size: "12px"
    },
    FullPath: "\/Project X\/Software Developers\/Bernard Woodbury",
    LoaderFile: "loader1.js",
    LoaderPrefix: "WebTabSet1",
    LoadingText: "please wait",
    SamplePage: "sample1.htm",
    SelectedBackColor: "#505050",
    SelectedForeColor: "White",
    SnippetsFile: "snippets1.txt",
    UnselectedBackColor: "#F9FCB4",
    UnselectedForeColor: "DimGray"
};

// The webtabset control item data
var WebTabSet1Data =
{
    Items: [{
        Item: "Project X",
        Items: [{
            Item: "Program Managers",
            Items: ["Elizabeth Maddox","Nicholas Taylor"]
        },{
            Item: "Software Developers",
            Items: ["Bernard Woodbury","Joseph Farnsworth","Steven Knowles"]
        },{
            Item: "Test Engineers",
            Items: ["Austin Sullivan","Joseph Crowell","Marcia Waters"]
        }]
    },{
        Item: "Project Y",
        Items: [{
            Item: "Program Managers",
            Items: ["Anna Greene","Bradley Knight"]
        },{
            Item: "Software Developers",
            Items: ["Lynn Goebel","Michael Harlow","Roger Alexandre"]
        },{
            Item: "Test Engineers",
            Items: ["Kevin Gamble","Richard Draper","Stephanie Dodd"]
        }]
    }]
};

// Initializes the specified webtabset control
function WebTabSet1Initialize(controlId)
{
    cwtsInitializeControl(controlId, WebTabSet1Settings, WebTabSet1Data);
}
