using System;
using System.Web;

/// <summary>
/// ASP.NET sample page
/// </summary>
public partial class _Default : System.Web.UI.Page
{
    public string webTabSetId = "WebTabSet1";
    public string webTabSetAboutInfoId = "AboutInfo1";
    public string webTabSetFullPathEncoded = "";
    public string webTabSetFullPathDecoded = "";
    public string webTabSetFullPathEscaped = "";

    /// <summary>
    /// Page load event handler
    /// </summary>
    /// <param name="sender">The event source</param>
    /// <param name="e">The event data</param>
    protected void Page_Load(object sender, EventArgs e)
    {
        if (IsPostBack)
        {
            string name = webTabSetId + "_FullPath";
            webTabSetFullPathEncoded = Request.Form[name];
            webTabSetFullPathDecoded = HttpUtility.HtmlDecode(webTabSetFullPathEncoded);
            webTabSetFullPathEscaped = webTabSetFullPathEncoded.Replace("'", "\\'");
        }
    }
}
