<%!

// Retrieves a property value from the webtabset control
private static String getWebTabSetProperty(HttpServletRequest request, String controlId, String propertyName, String defaultValue)
{
    String name = controlId + "_" + propertyName;
    String results = request.getParameter(name);
    if (results == null)
    {
        results = defaultValue;
    }

    return results;
}

// Html decodes the specified string
private static String htmlDecode(String source)
{
    String results = source;
    results = results.replaceAll("&gt;", ">");
    results = results.replaceAll("&lt;", "<");
    results = results.replaceAll("&quot;", "\"");
    results = results.replaceAll("&amp;", "&");

    return results;
}

// Html escapes the specified string
private static String htmlEscape(String source)
{
    StringBuilder results = new StringBuilder("");
    int length = source.length();

    for (int index = 0; index < length; index++)
    {
        char next = source.charAt(index);

        switch (next)
        {
            case '\'':
                results.append("\\'");
                break;

            default:
                results.append(next);
                break;
        }
    }

    return results.toString();
}

%>